local vector2 = require("#microsoft.xna.framework.vector2")
local coroutineEntity = monocle.Entity()

function onBegin()
	local room = getRoom()
	room.PauseLock = true
    disableMovement()
	celeste.Audio.SetMusicParam("dialog", 1.0)
	wait(0.75)
	engine.Scene:add(coroutineEntity)
	coroutineEntity:add(monocle.Coroutine(celeste.CutsceneEntity.CameraTo(vector2(16456, -3042), 1.0)))
	wait(2.5)
	coroutineEntity:add(monocle.Coroutine(celeste.CutsceneEntity.CameraTo(vector2(16456, -3185), 1.5)))
	wait(1.0)
	end
	
function onEnd()
	getLevel():remove(coroutineEntity)
	celeste.Audio.SetMusicParam("dialog", 0.0)
    getRoom().PauseLock = false
    enableMovement()
end